% Moc, napetost in tok v resonanci
% Spreminjam frekvenco signala zaporednega RLC vezja ali drugega vezja

om=50;
T=2*pi/om;
U=50;
R1=10;
R2=5;
L=100e-3;

ii=7:-0.1:2.2;
C=10.^-ii; % niz kapacitivnosti 

% % admitanca vporedne vezave upora R1 in upora R2 + tuljave
YRL=1/(R2+j*om*L)+1/R1; 
YC=j*om.*C; % admitanca kondezatorja
Y=YRL+YC; % zakomentiraj to vrstico in uporabljena bo vzporedna RLC vezava


S=U^2*conj(Y)
plot(C,abs(S),C,real(S),':',C,imag(S),'--','LineWidth',2)
xlabel('C/F');
ylabel('S, P, Q  /VA')
legend('S','P','Q')





Call=[1e-12,1e-6,1e-5,1e-4,1e-3,2e-3,5e-3,1e-2]

pause(4)

figure;
h = msgbox('S kliki spreminja kapacitivnost in gleda poteke napetosti in toka (zgoraj) in moi (spodaj)');
pause(4)

for ii=1:length(Call)
    
C=Call(ii)    

%% izraun impedance 
YRL=1/(R2+j*om*L)+1/R1;
YC=j*om*C; % Zaporedna vezava RLC
Y=YRL+YC;

% Tu lahko zamenja impedanco oz admitanco in opazuje drugo vezje
% vzporedno RLC vezje
%Y=1/R1+j*om.*C+1./j*om*L;

%% Izraun toka
I=U.*Y;
Im=abs(I);
fi=-angle(Y);

%% doloitev asovnih signalov
t=0:T/100:3*T;
u=U*sin(om*t);
i=Im*sin(om*t-fi);

%% GRAFI
%plotyy(t,u,t,i)
subplot(2,1,1); plot(t,u/U,'-k',t,i/Im,'--b')
axis([0 3*T -1 1])
xlabel('cas / s');ylabel('Napetost in tok / normirana na 1')
title(['Kompenzacija moci za C=',num2str(C)]);
legend('napetost','normiran tok')

s=u.*i;
p=0.5*U*Im*cos(fi)*(1-cos(2*om*t));
q=0.5*U*Im*sin(fi)*(-sin(2*om*t));

S=U*Im/2;
P=S*cos(fi);
Q=S*sin(fi);

subplot(2,1,2); plot(t,s,'-k',t,p,'--b',t,q,':r')
axis([0 3*T -150 500])
xlabel('cas / s'); ylabel('Moc / W'); legend('celotna moc','moc na R1 in R2', 'moc na C in L');
text(0.2*T,-50,['S=',num2str(S)])
text(0.2*T,-100,['P=',num2str(P)])
text(T,-50,['Q=',num2str(Q)])
k = waitforbuttonpress;
hold off
end



