% POGLAVJE 14 - izraun moi za konkretno vezje
clear all;
Um=50; 
R1=10;
R2=5;
L=100e-3;
omega=50;

U=-50j; % kompleksor napetosti
Y=1/R1+1/(R2+j*omega*L) % izraun admitance
I=U*Y  % kompleksor toka
Im=abs(I) % maks tok
fi=-atan(imag(Y)/real(Y))  % e raunam fazni kot iz admitance je spredaj minus, iz impedance pa ne

T=2*pi/omega; % perioda
t=0:T/100:2*T; % asovni niz
u=Um*sin(omega*t); % asovni signal napetosti
i=Im*sin(omega*t-fi); % asovni signal toka
% Izris toka in napetosti
plot(t,u,t,i)
xlabel('as  / s')
axis tight
legend('napetost / V','tok / A')

% Izraun moi s kompleksorji
S=0.5*Um^2*conj(Y)
P=real(S)
Q=imag(S)
cos_fi=P/abs(S)

%Izris skupne moi na bremenu
figure
p=u.*i;
plot(t,p)

% mo na R1
p_R1=u.^2/R1

% mo na R2
I2=U/(R2+j*omega*L)
I2max=abs(I2);
fi_I2=atan(imag(I2/real(I2)))
i2=I2max*sin(omega*t-fi_I2) % relativno na sinusni signal
p_R2=i2.^2*R2;

%mo na tuljavi
UL=I2*j*omega*L;
fi_UL=atan(imag(UL/real(UL)))
uL=abs(UL)*sin(omega*t-fi_UL); 
p_L=i2.*uL
%plot(t,u,t,uL,t,i2)

% Izris vseh moi
figure
plot(t,u,'--',t,p_R1,t,p_R2,t,p_L,t,p,'Linewidth',1.5)
xlabel('as  / s')
axis tight
legend('napetost','mo na R1','mo na R2','mo na L','skupna mo')
hold on
plot([0,2*T],[0,0])




break


x=0:0.01:2*pi;
set(gca,'LineWidth',2)

i1=5*sin(x);
p1=10*i1.^2;
i2=7.07*sin(x-0.4636);
p2=5*i2.^2;

uL=5*7.07*cos(x-0.4636);
pL=uL.*i2;

hold on
plot([0 2 2*pi], [0 0 0],'Color','g')
plot(x,p1,':',x,p2,'--');

plot(x,pL,'LineWidth',2,'Color','r')
plot(x,p1+p2+pL,'LineWidth',2,'Color','k')




legend('p(R1)','p(R2)','p(L)','p(vezja)')
xlabel('{\omega}t')
ylabel('Posamezne komponente moci')
